﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftBrowser
{
    public class Aircraft
    {
        public string Model { get; private set; }
        public string TailNumber { get; set; }
        public Color Colour { get; set; }

        public Aircraft(string model, string tailNumber, Color colour)
        {
            Model = model;
            TailNumber = tailNumber;
            Colour = colour;
        }

        public override string ToString()
        {
            return String.Format("{1}: {0} (Livery: {2})", Model, TailNumber, Colour.Name);
        }
    }
}
